Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem("FinancialStock")> _
<CreatableItem(False)> _
Public Class Rule5DforGL
    Inherits BaseObject
    Private _GLDocumentType As eGLDocumentType
    Private _Rule5DMatrix As Rule5DMatrix
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub
    Property Rule5DMatrix As Rule5DMatrix
        Get
            Return _Rule5DMatrix
        End Get
        Set(value As Rule5DMatrix)
            SetPropertyValue("Rule5DMatrix", _Rule5DMatrix, value)
        End Set
    End Property
    Property GLDocumentType As eGLDocumentType
        Get
            Return _GLDocumentType
        End Get
        Set(value As eGLDocumentType)
            SetPropertyValue("GLDocumentType", _GLDocumentType, value)
        End Set
    End Property
End Class
